Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service
Interface IntraHubAccessRightService

All Known Implementing Classes:
  IntraHubAccessRightServiceImpl

    public interface IntraHubAccessRightService

Interface for access rights specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubAccessRightServiceImpl`

Method Summary
`AccessRightListType` | `getAccessRight(TransactionIdType transaction)` Gets the access right.
`TransactionAccessListType` | `getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)` Gets the patient audit trail.
`void` | `putAccessRight(AccessRightType accessRight)` Put access right.
`void` | `revokeAccessRight(SelectRevokeAccessRightType accessRight)` Revoke access right.

Method Detail

### putAccessRight

    void putAccessRight(AccessRightType accessRight)
                        throws TechnicalConnectorException,
                               IntraHubBusinessConnectorException

  Put access right.

  Parameters:
    `accessRight` - the access right
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getAccessRight

    AccessRightListType getAccessRight(TransactionIdType transaction)
                                       throws TechnicalConnectorException,
                                              IntraHubBusinessConnectorException

  Gets the access right.

  Parameters:
    `transaction` - the transaction
  Returns:
    the access right
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### revokeAccessRight

    void revokeAccessRight(SelectRevokeAccessRightType accessRight)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Revoke access right.

  Parameters:
    `accessRight` - the access right
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getPatientAuditTrail

    TransactionAccessListType getPatientAuditTrail(SelectGetPatientAuditTrailType patientAuditTrail)
                                                   throws TechnicalConnectorException,
                                                          IntraHubBusinessConnectorException

  Gets the patient audit trail.

  Parameters:
    `patientAuditTrail` - the patient audit trail
  Returns:
    the patient audit trail
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.